/*************************************************************************
 * This file is part of Crosroads 1.38, a load balancer and fail over
 * utility for TCP. Copyright (c) Karel Kubat, distributed under GPL.
 * Visit http://crossroads.e-tunity.com for information.
 *************************************************************************/
#include "crossroads.h"

void log_activity_any (char const *action) {
    if (!log_activity || current_backend < 0)
	return;
    if (!logstarted++)
	openlog ("crossroads", LOG_PID, log_facility);
    syslog (LOG_NOTICE, "%s %s %s from %s to %s",
	    ansistamp(tm_localtime), action, activeservice->name,
	    client_ip, activeservice->backend[current_backend].server);
}
