/*************************************************************************
 * This file is part of Crosroads 1.38, a load balancer and fail over
 * utility for TCP. Copyright (c) Karel Kubat, distributed under GPL.
 * Visit http://crossroads.e-tunity.com for information.
 *************************************************************************/
#ifndef BISON_PARSER_H
# define BISON_PARSER_H

# ifndef YYSTYPE
#  define YYSTYPE int
#  define YYSTYPE_IS_TRIVIAL 1
# endif
# define	SERVICE	257
# define	IDENTIFIER	258
# define	PORT	259
# define	NUMBER	260
# define	BACKEND	261
# define	VERBOSITY	262
# define	SERVER	263
# define	ON	264
# define	OFF	265
# define	DISPATCHMODE	266
# define	ROUNDROBIN	267
# define	REVIVINGINTERVAL	268
# define	SHMKEY	269
# define	WEIGHT	270
# define	ONSTART	271
# define	ONFAIL	272
# define	STRING	273
# define	BACKLOG	274
# define	RANDOM	275
# define	BYDURATION	276
# define	BYSIZE	277
# define	BYCONNECTIONS	278
# define	CONNECTIONTIMEOUT	279
# define	MAXCONNECTIONS	280
# define	BYORDER	281
# define	TRAFFICLOG	282
# define	OVER	283
# define	DECAY	284
# define	BINDTO	285
# define	THROUGHPUTLOG	286
# define	TYPE	287
# define	ANY	288
# define	HTTP	289
# define	STICKYCOOKIE	290
# define	ADDCLIENTHEADER	291
# define	SETCLIENTHEADER	292
# define	APPENDCLIENTHEADER	293
# define	ADDSERVERHEADER	294
# define	SETSERVERHEADER	295
# define	APPENDSERVERHEADER	296
# define	ALLOWFROM	297
# define	DENYFROM	298
# define	ALLOWFILE	299
# define	DENYFILE	300
# define	EXTERNALHANDLER	301
# define	ONEND	302
# define	USERACCOUNT	303
# define	BYCLIENTIP	304
# define	RETRIES	305


extern YYSTYPE yylval;

#endif /* not BISON_PARSER_H */
