/*************************************************************************
 * This file is part of Crosroads 1.38, a load balancer and fail over
 * utility for TCP. Copyright (c) Karel Kubat, distributed under GPL.
 * Visit http://crossroads.e-tunity.com for information.
 *************************************************************************/
#include "crossroads.h"

int ipf_allowed () {
    int i;

    /* Always allow a connection when we ddon't have an allow list. */
    if (! activeservice->allowchain)
	return (1);

    /* Try all in the chain. */
    for (i = 0; i < activeservice->nallowchain; i++)
	if (ipf_match (activeservice->allowchain[i]))
	    return (1);

    /* Allow chain doesn't match */
    return (0);
}
