/*************************************************************************
 * This file is part of Crosroads 1.38, a load balancer and fail over
 * utility for TCP. Copyright (c) Karel Kubat, distributed under GPL.
 * Visit http://crossroads.e-tunity.com for information.
 *************************************************************************/
#include "crossroads.h"

int ipf_denied () {
    int i;
    
    /* Never deny a connection when we don't have a deny list. */
    if (! activeservice->denychain)
	return (0);
    
    /* Try all in the chain. */
    for (i = 0; i < activeservice->ndenychain; i++)
	if (ipf_match (activeservice->denychain[i]))
	    return (1);

    /* Deny chain doesn't match */
    return (0);
}
