/*************************************************************************
 * This file is part of Crosroads 1.38, a load balancer and fail over
 * utility for TCP. Copyright (c) Karel Kubat, distributed under GPL.
 * Visit http://crossroads.e-tunity.com for information.
 *************************************************************************/
#include "crossroads.h"

int restart (int ac, char **av) {
   
    create_commandline_space();
    
    /* First run the 'stop' action. */
    if (!stop_daemon (ac, av))
	error ("Daemon stop failed, restart failure");

    sleep (1);
    
    /* Now run 'start' */
    if (!serve (ac, av))
	error ("Daemon start failed, restart failure");

    /* All ok.. */
    return (1);
}
